Subject: Re: [PATCH 5/14] zImage: Add more flexible gunzip convenience functions

From: Geoff Levand <[email-masked]>
Date: Tue, 20 Feb 2007 16:56:54 -0800

David Gibson wrote:
> This patch adds a new set of more flexible convenience wrappers around
> zlib, moving them to their own file, gunzip_util.c, in the process.
> These wrappers allow decompressing sections of the compressed image to
> different locations.  In addition, they transparently handle
> uncompressed data, avoiding special case code to handle uncompressed
> vmlinux images.

I tested this on on PS3 without trouble.

Acked-by: Geoff Levand <[email-masked]>